#uses "test/fwCtrlUtils/jsonSerializeDeserializeTestUtils.ctl"

const dyn_string NO_SERIALIZE_EMPTY;

void test_fwJsonSerialize_setupSuite(){
  // No need for site setup currently
}

void test_fwJsonSerialize_teardownSuite(){
  // No need for suite teardown currently
}

//void test_fwJsonSerialize_setup(){}
//void test_fwJsonSerialize_teardown(){}

void test_fwJsonSerialize_map_string_indented(){
  const string sampleFile = "mapOfSimple/map_string_indented.json";
  string jsonString = readSample(sampleFile);
  mapping serializedVar = SAMPLES_MAPPING[sampleFile];
  assertEqual(jsonString, fwJsonSerialize(serializedVar, false),
              "Failed to serialize mapping with single string value to json string and indented json format");
}
void test_fwJsonSerialize_vector_float_indented(){
  const string sampleFile = "arraysOfSimple/arr_double_indented.json";
  string jsonString = readSample(sampleFile);
  vector<double> serializedVar = SAMPLES_MAPPING[sampleFile];
  assertEqual(jsonString, fwJsonSerialize(serializedVar, makeMapping(), false),
              "Failed to serialize vector<double> to json string and indented json format");
}
